summaryrefslogtreecommitdiffstats
path: root/graphics/gliv
diff options
context:
space:
mode:
author Sebastián Salazar Molina <ssalazar@orangepeople.cl>2010-05-13 00:27:56 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:27:56 +0200
commitcdc7353ac99cd0ceff3ea7836f61849eebadabf8 (patch)
treec41a6e7b0a6033facc126330cb73991689c2cbc7 /graphics/gliv
parentd2d5f221a43e5cc3c7c5eb5ef5b364ec9357aa78 (diff)
downloadslackbuilds-cdc7353ac99cd0ceff3ea7836f61849eebadabf8.tar.gz
slackbuilds-cdc7353ac99cd0ceff3ea7836f61849eebadabf8.tar.xz
graphics/gliv: Updated for version 1.9.6
Diffstat (limited to 'graphics/gliv')
-rw-r--r--graphics/gliv/README15
-rw-r--r--graphics/gliv/gliv.SlackBuild28
-rw-r--r--graphics/gliv/gliv.info4
-rw-r--r--graphics/gliv/slack-desc7
4 files changed, 25 insertions, 29 deletions
diff --git a/graphics/gliv/README b/graphics/gliv/README
index b90978fc6f..af712642e1 100644
--- a/graphics/gliv/README
+++ b/graphics/gliv/README
@@ -1,12 +1,7 @@
-GLiv
-
-GLiv is an OpenGL image viewer, image loading is done via Gdk-pixbuf
-bundled with GTK+-2.6, rendering with OpenGL and the graphical user
-interface uses GTK+ with GtkGLExt.
-
-GLiv is very fast and smooth at rotating, panning and zooming if you
-have an OpenGL accelerated graphics board. It supports thumbnails and
+GLiv is an OpenGL image viewer, image loading is done via Gdk-pixbuf bundled
+with GTK+-2.6, rendering with OpenGL and the graphical user interface uses GTK+
+with GtkGLExt. GLiv is very fast and smooth at rotating, panning and zooming
+if you have an OpenGL accelerated graphics board. It supports thumbnails and
navigating through them using two images menus and a browser.
-This package requires gtkglext. A buildscript for this is available
-at SlackBuilds.org
+Requires gtkglext, available at SlackBuilds.org
diff --git a/graphics/gliv/gliv.SlackBuild b/graphics/gliv/gliv.SlackBuild
index 171fef0b1e..cf03607afe 100644
--- a/graphics/gliv/gliv.SlackBuild
+++ b/graphics/gliv/gliv.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
-# Slackware build script for <gliv>
-
+# Slackware build script for gliv
# Written by Sebastián Salazar Molina <ssalazar@orangepeople.cl>
PRGNAM=gliv
@@ -16,11 +15,14 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -29,7 +31,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -62,16 +64,9 @@ make install DESTDIR=$PKG
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ABOUT-NLS COPYING INSTALL NEWS README THANKS \
+cp -a \
+ ABOUT-NLS COPYING INSTALL NEWS README THANKS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -79,4 +74,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/graphics/gliv/gliv.info b/graphics/gliv/gliv.info
index e347a883bf..2ccf60905e 100644
--- a/graphics/gliv/gliv.info
+++ b/graphics/gliv/gliv.info
@@ -3,6 +3,8 @@ VERSION="1.9.6"
HOMEPAGE="http://guichaz.free.fr/gliv/"
DOWNLOAD="http://guichaz.free.fr/gliv/files/gliv-1.9.6.tar.bz2"
MD5SUM="e51838ed643f3af5143a20a12f432b9d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Sebastián Salazar Molina"
EMAIL="ssalazar@orangepeople.cl"
-APPROVED="michiel" \ No newline at end of file
+APPROVED="Erik Hanson"
diff --git a/graphics/gliv/slack-desc b/graphics/gliv/slack-desc
index a980c25c97..7ff8c2aaa3 100644
--- a/graphics/gliv/slack-desc
+++ b/graphics/gliv/slack-desc
@@ -5,7 +5,7 @@
# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
gliv: GLiv (openGL Image Viewer)
gliv:
gliv: GLiv is an OpenGL image viewer, image loading is done via
@@ -13,4 +13,7 @@ gliv: Gdk-pixbuf bundled with GTK+, rendering with OpenGL and the
gliv: graphical user interface uses GTK+ with GtkGLExt
gliv:
gliv: Last information can be found at http://guichaz.free.fr/gliv/
-gliv:
+gliv:
+gliv:
+gliv:
+gliv: